Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.beans
Class InterMediaImageDefinition

    java.lang.Object
      oracle.ifs.beans.LibraryObjectDefinition
          oracle.ifs.beans.PublicObjectDefinition
              oracle.ifs.beans.CategoryDefinition
                  oracle.ifs.beans.InterMediaSourceDefinition
                      oracle.ifs.beans.InterMediaImageDefinition

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

    public class InterMediaImageDefinition

extends InterMediaSourceDefinition

The InterMediaImageDefinition class

See Also:
  Serialized Form
(Published)

Field Summary

Fields inherited from class oracle.ifs.beans.LibraryObjectDefinition
`m_Attributes, m_ClassObjectName, m_ClassObjectValue, m_ContentSpecifications, m_DefinitionLists, m_Definitions, m_EnclosedDefinition, m_Id, m_Options, m_ReadOnly, m_ReferenceAttributes, m_Session, m_SystemOptions`

Constructor Summary
`InterMediaImageDefinition(LibrarySessionInterface session)` Construct a definition explicitly capturing the session.
`InterMediaImageDefinition(LibrarySessionInterface session, java.lang.String className)` Construct a definition, explicitly capturing the session and setting the initial classobject.

Method Summary

Methods inherited from class oracle.ifs.beans.InterMediaSourceDefinition
`getTextLanguage, getTextReader, setTextLanguage, setTextReader, toInterMediaSourceDefinition, toInterMediaSourceDefinition`

Methods inherited from class oracle.ifs.beans.CategoryDefinition
`getUpdateAssociatedObjectOption, setUpdateAssociatedObjectOption, toCategoryDefinition, toCategoryDefinition`

Methods inherited from class oracle.ifs.beans.PublicObjectDefinition
`addCategoryDefinition, addCategoryDefinitions, getAddToFolderOption, getAddToFolderValue, getAutoFolderingActionSpecification, getCascadeCopyRelationshipsOption, getCascadeCopyRelationshipsOptionValue, getCategoryCopyOption, getCategoryDefinitions, getContentQuotaCopyOption, getCreateCategoriesServerSideOption, getExplicitCreateAndModifyAttributesOption, getExplicitCreateDate, getExplicitLastModifyDate, getFreeIfLastFolderReferenceOption, getKeepLastModifierOption, getKeepLastModifyDateOption, getLockEntryDefinition, getLockObject, getLockObjectDefinition, getLockObjectValue, getSecuringPublicObject, getSecuringPublicObjectValue, getUpdatedLockObjectDefinition, removeCategoryDefinitions, removeLockEntryDefinition, setAddToFolderOption, setAddToFolderValue, setAutoFolderingActionSpecification, setAutoFolderingActionSpecification, setCascadeCopyRelationshipsOption, setCategoryCopyOption, setCategoryDefinitions, setContentQuotaCopyOption, setCreateCategoriesServerSideOption, setExplicitCreateAndModifyAttributesOption, setExplicitCreateDate, setExplicitLastModifyDate, setFreeIfLastFolderReferenceOption, setKeepLastModifierOption, setKeepLastModifyDateOption, setLockEntryDefinition, setLockObject, setLockObjectDefinition, setLockObjectValue, setNullSecurity, setPrivateSecurity, setSecuringPublicObject, setSecuringPublicObjectValue, setUpdatedLockObjectDefinition, toPublicObjectDefinition, toPublicObjectDefinition`

Methods inherited from class oracle.ifs.beans.LibraryObjectDefinition
`addDefinition, addDefinitions, addProperty, addPropertyDefinition, addPropertyDefinitions, captureSession, captureSession, captureSession, clone, constructInstance, constructInstance, copyInto, getAttribute, getAttribute, getAttributes, getAttributes, getAttributesSorted, getClassId, getClassObject, getClassObjectValue, getContentSpecification, getContentSpecificationKeys, getCopiedObjectValue, getDefinition, getDefinitionClassName, getDefinitionKeys, getDefinitionListKeys, getDefinitions, getId, getLibrarySession, getName, getOption, getOptionAsAttributeValue, getOptionKeys, getPolicyMode, getPropertyDefinitions, getReferenceAttribute, getReferenceAttributes, getServerDefinition, getSession, getSLibrarySession, getStringAttribute, getSystemOption, getSystemOptionAsAttributeValue, getSystemOptionAsBoolean, getSystemOptionKeys, getWriteableInstance, isReadOnly, prepareForDefinitionObject, removeAttribute, removeContentSpecification, removeDefinition, removeDefinitions, removeOption, removePropertyDefinitions, removeReferenceAttribute, removeSystemOption, reset, resolve, setAttribute, setAttribute, setAttribute, setAttributeByUpperCaseName, setAttributeByUpperCaseName, setAttributePolicyMode, setAttributes, setClassId, setClassname, setClassObject, setClassObjectValue, setContentSpecification, setCopiedObjectValue, setDefinition, setDefinitions, setId, setName, setOption, setReadOnly, setReferenceAttribute, setReferenceAttribute, setSession, setSystemOption, unresolve, verifySession`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InterMediaImageDefinition

    public InterMediaImageDefinition(LibrarySessionInterface session)
                              throws IfsException

  Construct a definition explicitly capturing the session. The initial ClassObject will be InterMediaImage.

  Parameters:
    `session` - the current session
  Throws:
    `IfsException` - if the operation fails
  (Published)

### InterMediaImageDefinition

    public InterMediaImageDefinition(LibrarySessionInterface session,
                                     java.lang.String className)
                              throws IfsException

  Construct a definition, explicitly capturing the session and setting the initial classobject.

  Parameters:
    `session` - the current session
    `className` - the initial class name
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD